<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile doxygen_version="1.9.6">
  <compound kind="file">
    <name>main.dox</name>
    <path>doc/</path>
    <filename>main_8dox.html</filename>
    <namespace>lsst::skymap</namespace>
  </compound>
  <compound kind="file">
    <name>__init__.py</name>
    <path>python/lsst/</path>
    <filename>____init_____8py.html</filename>
  </compound>
  <compound kind="file">
    <name>__init__.py</name>
    <path>python/lsst/skymap/</path>
    <filename>skymap_2____init_____8py.html</filename>
    <namespace>lsst::skymap</namespace>
  </compound>
  <compound kind="file">
    <name>__init__.py</name>
    <path>python/lsst/skymap/detail/</path>
    <filename>skymap_2detail_2____init_____8py.html</filename>
    <namespace>lsst::skymap</namespace>
    <namespace>lsst::skymap::detail</namespace>
  </compound>
  <compound kind="file">
    <name>baseSkyMap.py</name>
    <path>python/lsst/skymap/</path>
    <filename>base_sky_map_8py.html</filename>
    <class kind="class">lsst::skymap::baseSkyMap::BaseSkyMapConfig</class>
    <class kind="class">lsst::skymap::baseSkyMap::BaseSkyMap</class>
    <namespace>lsst::skymap</namespace>
    <namespace>lsst::skymap::baseSkyMap</namespace>
  </compound>
  <compound kind="file">
    <name>cachingSkyMap.py</name>
    <path>python/lsst/skymap/</path>
    <filename>caching_sky_map_8py.html</filename>
    <class kind="class">lsst::skymap::cachingSkyMap::CachingSkyMap</class>
    <namespace>lsst::skymap</namespace>
    <namespace>lsst::skymap::cachingSkyMap</namespace>
  </compound>
  <compound kind="file">
    <name>cellInfo.py</name>
    <path>python/lsst/skymap/</path>
    <filename>cell_info_8py.html</filename>
    <class kind="class">lsst::skymap::cellInfo::CellInfo</class>
    <namespace>lsst::skymap</namespace>
    <namespace>lsst::skymap::cellInfo</namespace>
  </compound>
  <compound kind="file">
    <name>dodecahedron.py</name>
    <path>python/lsst/skymap/detail/</path>
    <filename>dodecahedron_8py.html</filename>
    <class kind="class">lsst::skymap::detail::dodecahedron::Dodecahedron</class>
    <namespace>lsst::skymap</namespace>
    <namespace>lsst::skymap::detail</namespace>
    <namespace>lsst::skymap::detail::dodecahedron</namespace>
    <member kind="function">
      <type>def</type>
      <name>computeRotationMatrix</name>
      <anchorfile>namespacelsst_1_1skymap_1_1detail_1_1dodecahedron.html</anchorfile>
      <anchor>a33023e735edbc5f7997560a4f0383beb</anchor>
      <arglist>(angle, axis)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_computeCoordTransform</name>
      <anchorfile>namespacelsst_1_1skymap_1_1detail_1_1dodecahedron.html</anchorfile>
      <anchor>a1895a794b009c2434b1e17150fe81f84</anchor>
      <arglist>(vec0, vec1, vec1NegativeX=False)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_computeDodecahedronVertices</name>
      <anchorfile>namespacelsst_1_1skymap_1_1detail_1_1dodecahedron.html</anchorfile>
      <anchor>a9ecc4817abb679423b5459815ab7c12a</anchor>
      <arglist>(faceVecList)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_computeFullVecList</name>
      <anchorfile>namespacelsst_1_1skymap_1_1detail_1_1dodecahedron.html</anchorfile>
      <anchor>a6676b7566fe9382f2c54dbc1489cb267</anchor>
      <arglist>(basisSet)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_findCloseIndexSet</name>
      <anchorfile>namespacelsst_1_1skymap_1_1detail_1_1dodecahedron.html</anchorfile>
      <anchor>a351d9765f7d82c8ea5824cac236d6bd4</anchor>
      <arglist>(vecList, ind)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_findCloseList</name>
      <anchorfile>namespacelsst_1_1skymap_1_1detail_1_1dodecahedron.html</anchorfile>
      <anchor>a364163ec30719714a1d5adea28d4dd9a</anchor>
      <arglist>(vecList, vec)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_findClosePair</name>
      <anchorfile>namespacelsst_1_1skymap_1_1detail_1_1dodecahedron.html</anchorfile>
      <anchor>ada5b2aa00d0dcec7a7958d25c2bc63ca</anchor>
      <arglist>(vecList, ind=0)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_sortedVectorList</name>
      <anchorfile>namespacelsst_1_1skymap_1_1detail_1_1dodecahedron.html</anchorfile>
      <anchor>affda4e24bd228ed8515c584f3f68b7e5</anchor>
      <arglist>(vecList)</arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>precision</name>
      <anchorfile>namespacelsst_1_1skymap_1_1detail_1_1dodecahedron.html</anchorfile>
      <anchor>af82b8ad353a6f0a84cbefbfee0845f24</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>suppress</name>
      <anchorfile>namespacelsst_1_1skymap_1_1detail_1_1dodecahedron.html</anchorfile>
      <anchor>a59ac8cccc0e8057f16ac6f0059e9194b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>True</name>
      <anchorfile>namespacelsst_1_1skymap_1_1detail_1_1dodecahedron.html</anchorfile>
      <anchor>a392e460a721702a2c64d04bc56c794f0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>linewidth</name>
      <anchorfile>namespacelsst_1_1skymap_1_1detail_1_1dodecahedron.html</anchorfile>
      <anchor>a7d297ff1509ee2216eeda33927ef4cb6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>Dodecahedron</type>
      <name>vertexDodec</name>
      <anchorfile>namespacelsst_1_1skymap_1_1detail_1_1dodecahedron.html</anchorfile>
      <anchor>a8953c1c38ed94c591c113bc68ee34640</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>Dodecahedron</type>
      <name>faceVec</name>
      <anchorfile>namespacelsst_1_1skymap_1_1detail_1_1dodecahedron.html</anchorfile>
      <anchor>a39247b0b14fc7a40890459416d8a8c8c</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>utils.py</name>
    <path>python/lsst/skymap/detail/</path>
    <filename>utils_8py.html</filename>
    <class kind="class">lsst::skymap::detail::utils::Index2D</class>
    <namespace>lsst::skymap</namespace>
    <namespace>lsst::skymap::detail</namespace>
    <namespace>lsst::skymap::detail::utils</namespace>
    <member kind="function">
      <type>def</type>
      <name>coordFromVec</name>
      <anchorfile>namespacelsst_1_1skymap_1_1detail_1_1utils.html</anchorfile>
      <anchor>a61b02162092ffbfa850b6a8329e4a808</anchor>
      <arglist>(vec, defRA=None)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>makeSkyPolygonFromBBox</name>
      <anchorfile>namespacelsst_1_1skymap_1_1detail_1_1utils.html</anchorfile>
      <anchor>a876ac5f2f9896d383f85090bb1be0461</anchor>
      <arglist>(bbox, wcs)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>numpy</type>
      <name>_TinyFloat</name>
      <anchorfile>namespacelsst_1_1skymap_1_1detail_1_1utils.html</anchorfile>
      <anchor>a432a5b9cb47ac41c12c4b3a8143bb8fc</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>wcsFactory.py</name>
    <path>python/lsst/skymap/detail/</path>
    <filename>wcs_factory_8py.html</filename>
    <class kind="class">lsst::skymap::detail::wcsFactory::WcsFactory</class>
    <namespace>lsst::skymap</namespace>
    <namespace>lsst::skymap::detail</namespace>
    <namespace>lsst::skymap::detail::wcsFactory</namespace>
  </compound>
  <compound kind="file">
    <name>discreteSkyMap.py</name>
    <path>python/lsst/skymap/</path>
    <filename>discrete_sky_map_8py.html</filename>
    <class kind="class">lsst::skymap::discreteSkyMap::DiscreteSkyMapConfig</class>
    <class kind="class">lsst::skymap::discreteSkyMap::DiscreteSkyMap</class>
    <namespace>lsst::skymap</namespace>
    <namespace>lsst::skymap::discreteSkyMap</namespace>
  </compound>
  <compound kind="file">
    <name>dodecaSkyMap.py</name>
    <path>python/lsst/skymap/</path>
    <filename>dodeca_sky_map_8py.html</filename>
    <class kind="class">lsst::skymap::dodecaSkyMap::DodecaSkyMapConfig</class>
    <class kind="class">lsst::skymap::dodecaSkyMap::DodecaSkyMap</class>
    <namespace>lsst::skymap</namespace>
    <namespace>lsst::skymap::dodecaSkyMap</namespace>
  </compound>
  <compound kind="file">
    <name>equatSkyMap.py</name>
    <path>python/lsst/skymap/</path>
    <filename>equat_sky_map_8py.html</filename>
    <class kind="class">lsst::skymap::equatSkyMap::EquatSkyMapConfig</class>
    <class kind="class">lsst::skymap::equatSkyMap::EquatSkyMap</class>
    <namespace>lsst::skymap</namespace>
    <namespace>lsst::skymap::equatSkyMap</namespace>
  </compound>
  <compound kind="file">
    <name>healpixSkyMap.py</name>
    <path>python/lsst/skymap/</path>
    <filename>healpix_sky_map_8py.html</filename>
    <class kind="class">lsst::skymap::healpixSkyMap::HealpixTractInfo</class>
    <class kind="class">lsst::skymap::healpixSkyMap::HealpixSkyMapConfig</class>
    <class kind="class">lsst::skymap::healpixSkyMap::HealpixSkyMap</class>
    <namespace>lsst::skymap</namespace>
    <namespace>lsst::skymap::healpixSkyMap</namespace>
    <member kind="function">
      <type>def</type>
      <name>angToCoord</name>
      <anchorfile>namespacelsst_1_1skymap_1_1healpix_sky_map.html</anchorfile>
      <anchor>a06682dfe074632c54f18bebd31db7cd2</anchor>
      <arglist>(thetaphi)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>coordToAng</name>
      <anchorfile>namespacelsst_1_1skymap_1_1healpix_sky_map.html</anchorfile>
      <anchor>a172928c0240906216c7feea8294747ec</anchor>
      <arglist>(coord)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>packers.py</name>
    <path>python/lsst/skymap/</path>
    <filename>packers_8py.html</filename>
    <class kind="class">lsst::skymap::packers::SkyMapDimensionPacker</class>
    <namespace>lsst::skymap</namespace>
    <namespace>lsst::skymap::packers</namespace>
  </compound>
  <compound kind="file">
    <name>patchInfo.py</name>
    <path>python/lsst/skymap/</path>
    <filename>patch_info_8py.html</filename>
    <class kind="class">lsst::skymap::patchInfo::PatchInfo</class>
    <namespace>lsst::skymap</namespace>
    <namespace>lsst::skymap::patchInfo</namespace>
  </compound>
  <compound kind="file">
    <name>ringsSkyMap.py</name>
    <path>python/lsst/skymap/</path>
    <filename>rings_sky_map_8py.html</filename>
    <class kind="class">lsst::skymap::ringsSkyMap::RingsSkyMapConfig</class>
    <class kind="class">lsst::skymap::ringsSkyMap::RingsSkyMap</class>
    <namespace>lsst::skymap</namespace>
    <namespace>lsst::skymap::ringsSkyMap</namespace>
  </compound>
  <compound kind="file">
    <name>skyMapRegistry.py</name>
    <path>python/lsst/skymap/</path>
    <filename>sky_map_registry_8py.html</filename>
    <namespace>lsst::skymap</namespace>
    <namespace>lsst::skymap::skyMapRegistry</namespace>
    <member kind="variable">
      <type>makeRegistry</type>
      <name>skyMapRegistry</name>
      <anchorfile>namespacelsst_1_1skymap_1_1sky_map_registry.html</anchorfile>
      <anchor>a9b13f8da8a00000da69d36f147aab87a</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>tractBuilder.py</name>
    <path>python/lsst/skymap/</path>
    <filename>tract_builder_8py.html</filename>
    <class kind="class">lsst::skymap::tractBuilder::BaseTractBuilderConfig</class>
    <class kind="class">lsst::skymap::tractBuilder::BaseTractBuilder</class>
    <class kind="class">lsst::skymap::tractBuilder::LegacyTractBuilderConfig</class>
    <class kind="class">lsst::skymap::tractBuilder::LegacyTractBuilder</class>
    <class kind="class">lsst::skymap::tractBuilder::CellTractBuilderConfig</class>
    <class kind="class">lsst::skymap::tractBuilder::CellTractBuilder</class>
    <namespace>lsst::skymap</namespace>
    <namespace>lsst::skymap::tractBuilder</namespace>
    <member kind="variable">
      <type>pexConfig</type>
      <name>tractBuilderRegistry</name>
      <anchorfile>namespacelsst_1_1skymap_1_1tract_builder.html</anchorfile>
      <anchor>a406cf7e3b5a7e6fa21408a5c46888a71</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>tractInfo.py</name>
    <path>python/lsst/skymap/</path>
    <filename>tract_info_8py.html</filename>
    <class kind="class">lsst::skymap::tractInfo::TractInfo</class>
    <class kind="class">lsst::skymap::tractInfo::ExplicitTractInfo</class>
    <namespace>lsst::skymap</namespace>
    <namespace>lsst::skymap::tractInfo</namespace>
  </compound>
  <compound kind="file">
    <name>version.py</name>
    <path>python/lsst/skymap/</path>
    <filename>version_8py.html</filename>
    <namespace>lsst::skymap</namespace>
    <namespace>lsst::skymap::version</namespace>
  </compound>
  <compound kind="class">
    <name>lsst::skymap::baseSkyMap::BaseSkyMap</name>
    <filename>classlsst_1_1skymap_1_1base_sky_map_1_1_base_sky_map.html</filename>
    <member kind="function">
      <type>def</type>
      <name>__init__</name>
      <anchorfile>classlsst_1_1skymap_1_1base_sky_map_1_1_base_sky_map.html</anchorfile>
      <anchor>ae531bacd85a5410a766a7e2aee16f226</anchor>
      <arglist>(self, config=None)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>findTract</name>
      <anchorfile>classlsst_1_1skymap_1_1base_sky_map_1_1_base_sky_map.html</anchorfile>
      <anchor>a0a74d08c2694bd4b3e3f0c04b5283258</anchor>
      <arglist>(self, coord)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>findTractIdArray</name>
      <anchorfile>classlsst_1_1skymap_1_1base_sky_map_1_1_base_sky_map.html</anchorfile>
      <anchor>adf0a6ee41df7d68f7ea98a10e0dc0d93</anchor>
      <arglist>(self, ra, dec, degrees=False)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>findTractPatchList</name>
      <anchorfile>classlsst_1_1skymap_1_1base_sky_map_1_1_base_sky_map.html</anchorfile>
      <anchor>ac09d4cd814fe3424d8dc86d74653bb53</anchor>
      <arglist>(self, coordList)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>findClosestTractPatchList</name>
      <anchorfile>classlsst_1_1skymap_1_1base_sky_map_1_1_base_sky_map.html</anchorfile>
      <anchor>a9587d643b417541dd29825b83fb6702d</anchor>
      <arglist>(self, coordList)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>__getitem__</name>
      <anchorfile>classlsst_1_1skymap_1_1base_sky_map_1_1_base_sky_map.html</anchorfile>
      <anchor>afb81620837038063eef88937540048fd</anchor>
      <arglist>(self, ind)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>__iter__</name>
      <anchorfile>classlsst_1_1skymap_1_1base_sky_map_1_1_base_sky_map.html</anchorfile>
      <anchor>ad9e8d823148db6e31611b0b4e7964315</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>__len__</name>
      <anchorfile>classlsst_1_1skymap_1_1base_sky_map_1_1_base_sky_map.html</anchorfile>
      <anchor>a857d6a9249084baa863db0846be622df</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>__hash__</name>
      <anchorfile>classlsst_1_1skymap_1_1base_sky_map_1_1_base_sky_map.html</anchorfile>
      <anchor>af4d20f8a6e18361e3ea1c8f00e0a6df5</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>__eq__</name>
      <anchorfile>classlsst_1_1skymap_1_1base_sky_map_1_1_base_sky_map.html</anchorfile>
      <anchor>a0e0ee01473ce7c6fb0ea269e688bb98b</anchor>
      <arglist>(self, other)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>__ne__</name>
      <anchorfile>classlsst_1_1skymap_1_1base_sky_map_1_1_base_sky_map.html</anchorfile>
      <anchor>aa645818dfcfac5f7db0319131602834a</anchor>
      <arglist>(self, other)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>logSkyMapInfo</name>
      <anchorfile>classlsst_1_1skymap_1_1base_sky_map_1_1_base_sky_map.html</anchorfile>
      <anchor>aaaf19dd86759c2c556506ce35d0af05d</anchor>
      <arglist>(self, log)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getSha1</name>
      <anchorfile>classlsst_1_1skymap_1_1base_sky_map_1_1_base_sky_map.html</anchorfile>
      <anchor>aeaaa4a4ac079e53ceb4e90e4d59d062d</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>updateSha1</name>
      <anchorfile>classlsst_1_1skymap_1_1base_sky_map_1_1_base_sky_map.html</anchorfile>
      <anchor>a7272da32d4313b3112b2d39abf2f2171</anchor>
      <arglist>(self, sha1)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>register</name>
      <anchorfile>classlsst_1_1skymap_1_1base_sky_map_1_1_base_sky_map.html</anchorfile>
      <anchor>a13169386ab0d580cc715537cdea9eab1</anchor>
      <arglist>(self, name, butler)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>pack_data_id</name>
      <anchorfile>classlsst_1_1skymap_1_1base_sky_map_1_1_base_sky_map.html</anchorfile>
      <anchor>a72e5bea196d33d27af703947a0d4831e</anchor>
      <arglist>(self, tract, patch, band=None)</arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>config</name>
      <anchorfile>classlsst_1_1skymap_1_1base_sky_map_1_1_base_sky_map.html</anchorfile>
      <anchor>a45a749935324753e58ac44f2e52836ce</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>BaseSkyMapConfig</type>
      <name>ConfigClass</name>
      <anchorfile>classlsst_1_1skymap_1_1base_sky_map_1_1_base_sky_map.html</anchorfile>
      <anchor>a5cceaa2aac0e4a1ba6767a90b3a101b6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>str</type>
      <name>SKYMAP_RUN_COLLECTION_NAME</name>
      <anchorfile>classlsst_1_1skymap_1_1base_sky_map_1_1_base_sky_map.html</anchorfile>
      <anchor>ac92127bc9d7ab7ff85c8546b56e90e43</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>str</type>
      <name>SKYMAP_DATASET_TYPE_NAME</name>
      <anchorfile>classlsst_1_1skymap_1_1base_sky_map_1_1_base_sky_map.html</anchorfile>
      <anchor>ac2a2bb5ae355dc9773eb55559321cc3d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type></type>
      <name>_tractInfoList</name>
      <anchorfile>classlsst_1_1skymap_1_1base_sky_map_1_1_base_sky_map.html</anchorfile>
      <anchor>a2966901bb06076cbf206239747008801</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type></type>
      <name>_wcsFactory</name>
      <anchorfile>classlsst_1_1skymap_1_1base_sky_map_1_1_base_sky_map.html</anchorfile>
      <anchor>ab1105fae67fd83ac32c0698975965817</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type></type>
      <name>_sha1</name>
      <anchorfile>classlsst_1_1skymap_1_1base_sky_map_1_1_base_sky_map.html</anchorfile>
      <anchor>a30e4a92e14c72d7217ef13e55b5f73c8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type></type>
      <name>_tractBuilder</name>
      <anchorfile>classlsst_1_1skymap_1_1base_sky_map_1_1_base_sky_map.html</anchorfile>
      <anchor>a4b673ccd50f6e5337e6a00bb3e955ab7</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::skymap::baseSkyMap::BaseSkyMapConfig</name>
    <filename>classlsst_1_1skymap_1_1base_sky_map_1_1_base_sky_map_config.html</filename>
    <member kind="function">
      <type>def</type>
      <name>getPatchInnerDimensions</name>
      <anchorfile>classlsst_1_1skymap_1_1base_sky_map_1_1_base_sky_map_config.html</anchorfile>
      <anchor>a30a97bddc095bbd8fa67371f94c2ab20</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>setPatchInnerDimensions</name>
      <anchorfile>classlsst_1_1skymap_1_1base_sky_map_1_1_base_sky_map_config.html</anchorfile>
      <anchor>ac46950ded16212cb5db77ce4008d6a38</anchor>
      <arglist>(self, value)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getPatchBorder</name>
      <anchorfile>classlsst_1_1skymap_1_1base_sky_map_1_1_base_sky_map_config.html</anchorfile>
      <anchor>a1d8007d61294454333cb54c69dbc6844</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>setPatchBorder</name>
      <anchorfile>classlsst_1_1skymap_1_1base_sky_map_1_1_base_sky_map_config.html</anchorfile>
      <anchor>a71c1b5b032cf587143a5a10fb042b043</anchor>
      <arglist>(self, value)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>tractBuilderRegistry</type>
      <name>tractBuilder</name>
      <anchorfile>classlsst_1_1skymap_1_1base_sky_map_1_1_base_sky_map_config.html</anchorfile>
      <anchor>a1063f1544680aed9b050ad9c4955f702</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>tractOverlap</name>
      <anchorfile>classlsst_1_1skymap_1_1base_sky_map_1_1_base_sky_map_config.html</anchorfile>
      <anchor>ab77a535c1080d08a11bad065384573bc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>pixelScale</name>
      <anchorfile>classlsst_1_1skymap_1_1base_sky_map_1_1_base_sky_map_config.html</anchorfile>
      <anchor>acc1a890362f4d8d26117d4179a39b415</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>projection</name>
      <anchorfile>classlsst_1_1skymap_1_1base_sky_map_1_1_base_sky_map_config.html</anchorfile>
      <anchor>a34f7b12155315208614042864fd7b87c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>rotation</name>
      <anchorfile>classlsst_1_1skymap_1_1base_sky_map_1_1_base_sky_map_config.html</anchorfile>
      <anchor>a4d55d6ebd5a6ef6cf4a404b56a08ca25</anchor>
      <arglist></arglist>
    </member>
    <member kind="property" static="yes">
      <type>property</type>
      <name>patchInnerDimensions</name>
      <anchorfile>classlsst_1_1skymap_1_1base_sky_map_1_1_base_sky_map_config.html</anchorfile>
      <anchor>afe5cf388c08484d4c83d4cabb286c157</anchor>
      <arglist></arglist>
    </member>
    <member kind="property" static="yes">
      <type>property</type>
      <name>patchBorder</name>
      <anchorfile>classlsst_1_1skymap_1_1base_sky_map_1_1_base_sky_map_config.html</anchorfile>
      <anchor>ad1fd7c81e25fa5cc92fcefb36899f225</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::skymap::cachingSkyMap::CachingSkyMap</name>
    <filename>classlsst_1_1skymap_1_1caching_sky_map_1_1_caching_sky_map.html</filename>
    <base>lsst::skymap::baseSkyMap::BaseSkyMap</base>
    <member kind="function">
      <type>def</type>
      <name>__init__</name>
      <anchorfile>classlsst_1_1skymap_1_1caching_sky_map_1_1_caching_sky_map.html</anchorfile>
      <anchor>a9c8a71f7a7b422006c509516e566545e</anchor>
      <arglist>(self, numTracts, config=None, version=0)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>__reduce__</name>
      <anchorfile>classlsst_1_1skymap_1_1caching_sky_map_1_1_caching_sky_map.html</anchorfile>
      <anchor>a12f29b873a29763f2bb1f53e01f15b74</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>__iter__</name>
      <anchorfile>classlsst_1_1skymap_1_1caching_sky_map_1_1_caching_sky_map.html</anchorfile>
      <anchor>a655434ba8df7af31478d695585339ff5</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>__len__</name>
      <anchorfile>classlsst_1_1skymap_1_1caching_sky_map_1_1_caching_sky_map.html</anchorfile>
      <anchor>a238e0abd1b2403661c3cca61f613265d</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>__getitem__</name>
      <anchorfile>classlsst_1_1skymap_1_1caching_sky_map_1_1_caching_sky_map.html</anchorfile>
      <anchor>acce9e964940fd87dfa31a5bf929ca498</anchor>
      <arglist>(self, index)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>generateTract</name>
      <anchorfile>classlsst_1_1skymap_1_1caching_sky_map_1_1_caching_sky_map.html</anchorfile>
      <anchor>a664f983be11c0aef3a66b5cc18b6153f</anchor>
      <arglist>(self, index)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type></type>
      <name>_numTracts</name>
      <anchorfile>classlsst_1_1skymap_1_1caching_sky_map_1_1_caching_sky_map.html</anchorfile>
      <anchor>a34588200e5b6e915fc4ba52485ae1d40</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type></type>
      <name>_tractCache</name>
      <anchorfile>classlsst_1_1skymap_1_1caching_sky_map_1_1_caching_sky_map.html</anchorfile>
      <anchor>a48d4c9aa6107a3b71512f3156811ebf0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type></type>
      <name>_tractInfo</name>
      <anchorfile>classlsst_1_1skymap_1_1caching_sky_map_1_1_caching_sky_map.html</anchorfile>
      <anchor>a3b7811982774bb5e6308dfc375dfb00e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type></type>
      <name>_version</name>
      <anchorfile>classlsst_1_1skymap_1_1caching_sky_map_1_1_caching_sky_map.html</anchorfile>
      <anchor>acbadd116bea93edea1503cf98576a7d5</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::skymap::cellInfo::CellInfo</name>
    <filename>classlsst_1_1skymap_1_1cell_info_1_1_cell_info.html</filename>
    <member kind="function">
      <type>def</type>
      <name>__init__</name>
      <anchorfile>classlsst_1_1skymap_1_1cell_info_1_1_cell_info.html</anchorfile>
      <anchor>a5775bb17c6be2b5d29638933d49e6ccf</anchor>
      <arglist>(self, index, innerBBox, outerBBox, sequentialIndex, tractWcs)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getIndex</name>
      <anchorfile>classlsst_1_1skymap_1_1cell_info_1_1_cell_info.html</anchorfile>
      <anchor>ace05b9b6386c443e02364b6a655c87e8</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getSequentialIndex</name>
      <anchorfile>classlsst_1_1skymap_1_1cell_info_1_1_cell_info.html</anchorfile>
      <anchor>a3ca67dbab2cf6d70ce041d2bffbd5d51</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getWcs</name>
      <anchorfile>classlsst_1_1skymap_1_1cell_info_1_1_cell_info.html</anchorfile>
      <anchor>ae0d7856f113171a1704eaedd12c0474d</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getInnerBBox</name>
      <anchorfile>classlsst_1_1skymap_1_1cell_info_1_1_cell_info.html</anchorfile>
      <anchor>a061e784c7132064e6d9c0f84acd51ce7</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getOuterBBox</name>
      <anchorfile>classlsst_1_1skymap_1_1cell_info_1_1_cell_info.html</anchorfile>
      <anchor>aa34b1a4b721ef92d212e9b1befd1905c</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getInnerSkyPolygon</name>
      <anchorfile>classlsst_1_1skymap_1_1cell_info_1_1_cell_info.html</anchorfile>
      <anchor>a6a92492f0c7093eb8494c0dd37cf73f6</anchor>
      <arglist>(self, tractWcs=None)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>inner_sky_polygon</name>
      <anchorfile>classlsst_1_1skymap_1_1cell_info_1_1_cell_info.html</anchorfile>
      <anchor>ae92f2faa114eac2084e9acd6683b20a8</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getOuterSkyPolygon</name>
      <anchorfile>classlsst_1_1skymap_1_1cell_info_1_1_cell_info.html</anchorfile>
      <anchor>aa49f4c2c6c6c19c8b00530a62f90bd6f</anchor>
      <arglist>(self, tractWcs=None)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>outer_sky_polygon</name>
      <anchorfile>classlsst_1_1skymap_1_1cell_info_1_1_cell_info.html</anchorfile>
      <anchor>a0069dd83b67c8e1c608e260253b5ad37</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>__eq__</name>
      <anchorfile>classlsst_1_1skymap_1_1cell_info_1_1_cell_info.html</anchorfile>
      <anchor>a569eb4cfd67d1a6390fb8974c16f3582</anchor>
      <arglist>(self, rhs)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>__ne__</name>
      <anchorfile>classlsst_1_1skymap_1_1cell_info_1_1_cell_info.html</anchorfile>
      <anchor>a588c689e5b06e0957d609e276d93215a</anchor>
      <arglist>(self, rhs)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>__str__</name>
      <anchorfile>classlsst_1_1skymap_1_1cell_info_1_1_cell_info.html</anchorfile>
      <anchor>a9090c6c493ab22fb194e54ae36f0163c</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>__repr__</name>
      <anchorfile>classlsst_1_1skymap_1_1cell_info_1_1_cell_info.html</anchorfile>
      <anchor>ac284bb98fc7041c8b014dbff04480784</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type></type>
      <name>_index</name>
      <anchorfile>classlsst_1_1skymap_1_1cell_info_1_1_cell_info.html</anchorfile>
      <anchor>a6acb14eaa1cf75eb15ed420c1aec0fff</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type></type>
      <name>_sequentialIndex</name>
      <anchorfile>classlsst_1_1skymap_1_1cell_info_1_1_cell_info.html</anchorfile>
      <anchor>a82841d15e032d5d5059be448fd86acc1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type></type>
      <name>_innerBBox</name>
      <anchorfile>classlsst_1_1skymap_1_1cell_info_1_1_cell_info.html</anchorfile>
      <anchor>a244f8731b9b64459f51c08734ac0e24f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type></type>
      <name>_outerBBox</name>
      <anchorfile>classlsst_1_1skymap_1_1cell_info_1_1_cell_info.html</anchorfile>
      <anchor>a6add9f2f83ec96bb9ec35f9aec935ea6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type></type>
      <name>_wcs</name>
      <anchorfile>classlsst_1_1skymap_1_1cell_info_1_1_cell_info.html</anchorfile>
      <anchor>ace85554b904582c2103bdb6df74b610f</anchor>
      <arglist></arglist>
    </member>
    <member kind="property" static="yes">
      <type>property</type>
      <name>index</name>
      <anchorfile>classlsst_1_1skymap_1_1cell_info_1_1_cell_info.html</anchorfile>
      <anchor>a71e1cc4ff88abcbfd19b2833f41d25c5</anchor>
      <arglist></arglist>
    </member>
    <member kind="property" static="yes">
      <type>property</type>
      <name>sequential_index</name>
      <anchorfile>classlsst_1_1skymap_1_1cell_info_1_1_cell_info.html</anchorfile>
      <anchor>a570d718040d66bd184069bdf10bb6c12</anchor>
      <arglist></arglist>
    </member>
    <member kind="property" static="yes">
      <type>property</type>
      <name>wcs</name>
      <anchorfile>classlsst_1_1skymap_1_1cell_info_1_1_cell_info.html</anchorfile>
      <anchor>ad03cf0cc96b057ad21220ec785eb1b5a</anchor>
      <arglist></arglist>
    </member>
    <member kind="property" static="yes">
      <type>property</type>
      <name>inner_bbox</name>
      <anchorfile>classlsst_1_1skymap_1_1cell_info_1_1_cell_info.html</anchorfile>
      <anchor>a547f1c4788801d7abfaf4d00c48d3cd4</anchor>
      <arglist></arglist>
    </member>
    <member kind="property" static="yes">
      <type>property</type>
      <name>outer_bbox</name>
      <anchorfile>classlsst_1_1skymap_1_1cell_info_1_1_cell_info.html</anchorfile>
      <anchor>a7fc447593a6ee6478c6c059b482c6f87</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::skymap::detail::dodecahedron::Dodecahedron</name>
    <filename>classlsst_1_1skymap_1_1detail_1_1dodecahedron_1_1_dodecahedron.html</filename>
    <member kind="function">
      <type>def</type>
      <name>__init__</name>
      <anchorfile>classlsst_1_1skymap_1_1detail_1_1dodecahedron_1_1_dodecahedron.html</anchorfile>
      <anchor>aecb04d83b730789337e24a8228c96014</anchor>
      <arglist>(self, withFacesOnPoles=False)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getFaceCtrList</name>
      <anchorfile>classlsst_1_1skymap_1_1detail_1_1dodecahedron_1_1_dodecahedron.html</anchorfile>
      <anchor>a5b820ed9d77eadcf67796b265783f981</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getFaceCtr</name>
      <anchorfile>classlsst_1_1skymap_1_1detail_1_1dodecahedron_1_1_dodecahedron.html</anchorfile>
      <anchor>a8b575aa47108cc044e86000eb275dda1</anchor>
      <arglist>(self, ind)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getVertices</name>
      <anchorfile>classlsst_1_1skymap_1_1detail_1_1dodecahedron_1_1_dodecahedron.html</anchorfile>
      <anchor>a5937686c6368ebfda810357c8010e609</anchor>
      <arglist>(self, ind)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getFaceInd</name>
      <anchorfile>classlsst_1_1skymap_1_1detail_1_1dodecahedron_1_1_dodecahedron.html</anchorfile>
      <anchor>accc6e599d6276c9e4d78ea1307f7c826</anchor>
      <arglist>(self, vec)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getWithFacesOnPoles</name>
      <anchorfile>classlsst_1_1skymap_1_1detail_1_1dodecahedron_1_1_dodecahedron.html</anchorfile>
      <anchor>acc5abfc65fca43daeae147d58b4e3666</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>vertexVecList</name>
      <anchorfile>classlsst_1_1skymap_1_1detail_1_1dodecahedron_1_1_dodecahedron.html</anchorfile>
      <anchor>aa2ec81b6897f99247ca71f10a09d2413</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>faceVecList</name>
      <anchorfile>classlsst_1_1skymap_1_1detail_1_1dodecahedron_1_1_dodecahedron.html</anchorfile>
      <anchor>abbfa3397f180f946eebc24d37538fe41</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type></type>
      <name>_withFacesOnPoles</name>
      <anchorfile>classlsst_1_1skymap_1_1detail_1_1dodecahedron_1_1_dodecahedron.html</anchorfile>
      <anchor>a8b5a825861bceec18ab706a9bb0fc91a</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::skymap::detail::utils::Index2D</name>
    <filename>classlsst_1_1skymap_1_1detail_1_1utils_1_1_index2_d.html</filename>
    <member kind="variable" static="yes">
      <type>int</type>
      <name>x</name>
      <anchorfile>classlsst_1_1skymap_1_1detail_1_1utils_1_1_index2_d.html</anchorfile>
      <anchor>a68e055878e723c5d7b793b48cd263de9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>int</type>
      <name>y</name>
      <anchorfile>classlsst_1_1skymap_1_1detail_1_1utils_1_1_index2_d.html</anchorfile>
      <anchor>ad69da9430105c81a7ac13583e19a71aa</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::skymap::detail::wcsFactory::WcsFactory</name>
    <filename>classlsst_1_1skymap_1_1detail_1_1wcs_factory_1_1_wcs_factory.html</filename>
    <member kind="function">
      <type>def</type>
      <name>__init__</name>
      <anchorfile>classlsst_1_1skymap_1_1detail_1_1wcs_factory_1_1_wcs_factory.html</anchorfile>
      <anchor>ac9663cd1ebdf4465854d74040f85adf3</anchor>
      <arglist>(self, pixelScale, projection, rotation=0 *geom.radians, flipX=False)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>makeWcs</name>
      <anchorfile>classlsst_1_1skymap_1_1detail_1_1wcs_factory_1_1_wcs_factory.html</anchorfile>
      <anchor>a4420994d2736ab6f6465b943d824afb6</anchor>
      <arglist>(self, crPixPos, crValCoord)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type></type>
      <name>_projection</name>
      <anchorfile>classlsst_1_1skymap_1_1detail_1_1wcs_factory_1_1_wcs_factory.html</anchorfile>
      <anchor>ae6cbf79f5053ad0d2af81d684f4542df</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type></type>
      <name>_cdMatrix</name>
      <anchorfile>classlsst_1_1skymap_1_1detail_1_1wcs_factory_1_1_wcs_factory.html</anchorfile>
      <anchor>a3bb7be604d77977a159cd7a24e7ab739</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::skymap::discreteSkyMap::DiscreteSkyMap</name>
    <filename>classlsst_1_1skymap_1_1discrete_sky_map_1_1_discrete_sky_map.html</filename>
    <base>lsst::skymap::cachingSkyMap::CachingSkyMap</base>
    <member kind="function">
      <type>def</type>
      <name>__init__</name>
      <anchorfile>classlsst_1_1skymap_1_1discrete_sky_map_1_1_discrete_sky_map.html</anchorfile>
      <anchor>a2b212ca63180f88a0024a49b505af379</anchor>
      <arglist>(self, config, version=0)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>generateTract</name>
      <anchorfile>classlsst_1_1skymap_1_1discrete_sky_map_1_1_discrete_sky_map.html</anchorfile>
      <anchor>ad032045835c9bd4046ec8a8664b3f1c0</anchor>
      <arglist>(self, index)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>updateSha1</name>
      <anchorfile>classlsst_1_1skymap_1_1discrete_sky_map_1_1_discrete_sky_map.html</anchorfile>
      <anchor>a15ef39fd275f2d92f3656e5641f56d00</anchor>
      <arglist>(self, sha1)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>DiscreteSkyMapConfig</type>
      <name>ConfigClass</name>
      <anchorfile>classlsst_1_1skymap_1_1discrete_sky_map_1_1_discrete_sky_map.html</anchorfile>
      <anchor>a5dd94812abe57e270a7cdfce68d3eff0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>tuple</type>
      <name>_version</name>
      <anchorfile>classlsst_1_1skymap_1_1discrete_sky_map_1_1_discrete_sky_map.html</anchorfile>
      <anchor>a15c718f8b7f5e7b8d815bd67ac0da474</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::skymap::discreteSkyMap::DiscreteSkyMapConfig</name>
    <filename>classlsst_1_1skymap_1_1discrete_sky_map_1_1_discrete_sky_map_config.html</filename>
    <member kind="function">
      <type>def</type>
      <name>validate</name>
      <anchorfile>classlsst_1_1skymap_1_1discrete_sky_map_1_1_discrete_sky_map_config.html</anchorfile>
      <anchor>a06b8f7c0a0e05c9b1b4efa6f52c7425e</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>ListField</type>
      <name>raList</name>
      <anchorfile>classlsst_1_1skymap_1_1discrete_sky_map_1_1_discrete_sky_map_config.html</anchorfile>
      <anchor>a507bdf6860a640c80d8d1115f2998f65</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>ListField</type>
      <name>decList</name>
      <anchorfile>classlsst_1_1skymap_1_1discrete_sky_map_1_1_discrete_sky_map_config.html</anchorfile>
      <anchor>add618b35226d83ca5798e798151eb0e7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>ListField</type>
      <name>radiusList</name>
      <anchorfile>classlsst_1_1skymap_1_1discrete_sky_map_1_1_discrete_sky_map_config.html</anchorfile>
      <anchor>a0d583781970b5150c032dbb65f3525b1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::skymap::dodecaSkyMap::DodecaSkyMap</name>
    <filename>classlsst_1_1skymap_1_1dodeca_sky_map_1_1_dodeca_sky_map.html</filename>
    <base>lsst::skymap::baseSkyMap::BaseSkyMap</base>
    <member kind="function">
      <type>def</type>
      <name>__init__</name>
      <anchorfile>classlsst_1_1skymap_1_1dodeca_sky_map_1_1_dodeca_sky_map.html</anchorfile>
      <anchor>a64e2c82d9e38db6c37401544ce648e30</anchor>
      <arglist>(self, config=None)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>__getstate__</name>
      <anchorfile>classlsst_1_1skymap_1_1dodeca_sky_map_1_1_dodeca_sky_map.html</anchorfile>
      <anchor>a8781abd31a46a8b2ff2fe25aa65a0141</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>__setstate__</name>
      <anchorfile>classlsst_1_1skymap_1_1dodeca_sky_map_1_1_dodeca_sky_map.html</anchorfile>
      <anchor>a3753394595ce111c4cdc193199f5e97a</anchor>
      <arglist>(self, stateDict)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>findTract</name>
      <anchorfile>classlsst_1_1skymap_1_1dodeca_sky_map_1_1_dodeca_sky_map.html</anchorfile>
      <anchor>ad939882cae46ca1446017a45ef7dc3da</anchor>
      <arglist>(self, coord)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getVersion</name>
      <anchorfile>classlsst_1_1skymap_1_1dodeca_sky_map_1_1_dodeca_sky_map.html</anchorfile>
      <anchor>ab7401d098e05dd8e1cf532b7e276037e</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getWithTractsOnPoles</name>
      <anchorfile>classlsst_1_1skymap_1_1dodeca_sky_map_1_1_dodeca_sky_map.html</anchorfile>
      <anchor>a4c5220be7d1ff6e1278cc71187e4726a</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>updateSha1</name>
      <anchorfile>classlsst_1_1skymap_1_1dodeca_sky_map_1_1_dodeca_sky_map.html</anchorfile>
      <anchor>a764db68f9acec7fa0c9eb6f7836528e0</anchor>
      <arglist>(self, sha1)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>DodecaSkyMapConfig</type>
      <name>ConfigClass</name>
      <anchorfile>classlsst_1_1skymap_1_1dodeca_sky_map_1_1_dodeca_sky_map.html</anchorfile>
      <anchor>a839ae7e4f63053af98d12a740a06d119</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type></type>
      <name>_dodecahedron</name>
      <anchorfile>classlsst_1_1skymap_1_1dodeca_sky_map_1_1_dodeca_sky_map.html</anchorfile>
      <anchor>aaf6220ad0a4ed5fa019344a392d031c6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>tuple</type>
      <name>_version</name>
      <anchorfile>classlsst_1_1skymap_1_1dodeca_sky_map_1_1_dodeca_sky_map.html</anchorfile>
      <anchor>a519f4136bc204057689cafc71faf8d3f</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::skymap::dodecaSkyMap::DodecaSkyMapConfig</name>
    <filename>classlsst_1_1skymap_1_1dodeca_sky_map_1_1_dodeca_sky_map_config.html</filename>
    <member kind="function">
      <type>def</type>
      <name>setDefaults</name>
      <anchorfile>classlsst_1_1skymap_1_1dodeca_sky_map_1_1_dodeca_sky_map_config.html</anchorfile>
      <anchor>affecb055aaf759931cf43556a090961d</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tractOverlap</name>
      <anchorfile>classlsst_1_1skymap_1_1dodeca_sky_map_1_1_dodeca_sky_map_config.html</anchorfile>
      <anchor>a2c90d210c7ef2332cf9577946f61b1f9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>patchBorder</name>
      <anchorfile>classlsst_1_1skymap_1_1dodeca_sky_map_1_1_dodeca_sky_map_config.html</anchorfile>
      <anchor>aea2e5d01dcaf814fc51ef45b5032d28e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>pixelScale</name>
      <anchorfile>classlsst_1_1skymap_1_1dodeca_sky_map_1_1_dodeca_sky_map_config.html</anchorfile>
      <anchor>a53df3589f0ef80d59d1f201cd8138779</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>patchInnerDimensions</name>
      <anchorfile>classlsst_1_1skymap_1_1dodeca_sky_map_1_1_dodeca_sky_map_config.html</anchorfile>
      <anchor>ac2c431a205e21eeb4a546644bf633699</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>projection</name>
      <anchorfile>classlsst_1_1skymap_1_1dodeca_sky_map_1_1_dodeca_sky_map_config.html</anchorfile>
      <anchor>ac406b5c10e77503300ec4ac1a9e8a694</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>withTractsOnPoles</name>
      <anchorfile>classlsst_1_1skymap_1_1dodeca_sky_map_1_1_dodeca_sky_map_config.html</anchorfile>
      <anchor>a2c6c83ee2f55e52cd084c9ec8c915f27</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::skymap::equatSkyMap::EquatSkyMap</name>
    <filename>classlsst_1_1skymap_1_1equat_sky_map_1_1_equat_sky_map.html</filename>
    <base>lsst::skymap::baseSkyMap::BaseSkyMap</base>
    <member kind="function">
      <type>def</type>
      <name>__init__</name>
      <anchorfile>classlsst_1_1skymap_1_1equat_sky_map_1_1_equat_sky_map.html</anchorfile>
      <anchor>a05efaa46a4ea54b0c7bc0c02638c89a1</anchor>
      <arglist>(self, config=None)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>__getstate__</name>
      <anchorfile>classlsst_1_1skymap_1_1equat_sky_map_1_1_equat_sky_map.html</anchorfile>
      <anchor>aec252e8a4b5f453ad103a9bdd1528edd</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>__setstate__</name>
      <anchorfile>classlsst_1_1skymap_1_1equat_sky_map_1_1_equat_sky_map.html</anchorfile>
      <anchor>a2ac9baa489a895594efd843f30b6722f</anchor>
      <arglist>(self, stateDict)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getVersion</name>
      <anchorfile>classlsst_1_1skymap_1_1equat_sky_map_1_1_equat_sky_map.html</anchorfile>
      <anchor>ad6922560fcc153ceac5636c4965e0b66</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>updateSha1</name>
      <anchorfile>classlsst_1_1skymap_1_1equat_sky_map_1_1_equat_sky_map.html</anchorfile>
      <anchor>a8020544deea48bcd09f4ff95c86b650c</anchor>
      <arglist>(self, sha1)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>EquatSkyMapConfig</type>
      <name>ConfigClass</name>
      <anchorfile>classlsst_1_1skymap_1_1equat_sky_map_1_1_equat_sky_map.html</anchorfile>
      <anchor>a8d3a4b8081a9fef9fd5a74f2c0ea748d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>tuple</type>
      <name>_version</name>
      <anchorfile>classlsst_1_1skymap_1_1equat_sky_map_1_1_equat_sky_map.html</anchorfile>
      <anchor>aaba98d6f2f03faccd8d5dd1343b5fb6a</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::skymap::equatSkyMap::EquatSkyMapConfig</name>
    <filename>classlsst_1_1skymap_1_1equat_sky_map_1_1_equat_sky_map_config.html</filename>
    <member kind="function">
      <type>def</type>
      <name>setDefaults</name>
      <anchorfile>classlsst_1_1skymap_1_1equat_sky_map_1_1_equat_sky_map_config.html</anchorfile>
      <anchor>a2849dc173d6c271372b480d1566c5d71</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>projection</name>
      <anchorfile>classlsst_1_1skymap_1_1equat_sky_map_1_1_equat_sky_map_config.html</anchorfile>
      <anchor>ada42a1e54fccceb3162858921896e46e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>numTracts</name>
      <anchorfile>classlsst_1_1skymap_1_1equat_sky_map_1_1_equat_sky_map_config.html</anchorfile>
      <anchor>a09be8ad4261a0f33857633f7cbecc58d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>decRange</name>
      <anchorfile>classlsst_1_1skymap_1_1equat_sky_map_1_1_equat_sky_map_config.html</anchorfile>
      <anchor>a2703d8e014a1557ef06248e34cb87c44</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::skymap::healpixSkyMap::HealpixSkyMap</name>
    <filename>classlsst_1_1skymap_1_1healpix_sky_map_1_1_healpix_sky_map.html</filename>
    <base>lsst::skymap::cachingSkyMap::CachingSkyMap</base>
    <member kind="function">
      <type>def</type>
      <name>__init__</name>
      <anchorfile>classlsst_1_1skymap_1_1healpix_sky_map_1_1_healpix_sky_map.html</anchorfile>
      <anchor>a78e30182d37b6c226e3ccbe9bfa112ec</anchor>
      <arglist>(self, config, version=0)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>findTract</name>
      <anchorfile>classlsst_1_1skymap_1_1healpix_sky_map_1_1_healpix_sky_map.html</anchorfile>
      <anchor>a1cc76aa0a7d9ccd09a4d6cb41a10f5eb</anchor>
      <arglist>(self, coord)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>generateTract</name>
      <anchorfile>classlsst_1_1skymap_1_1healpix_sky_map_1_1_healpix_sky_map.html</anchorfile>
      <anchor>a2958fae82233469a18d63573053b25db</anchor>
      <arglist>(self, index)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>updateSha1</name>
      <anchorfile>classlsst_1_1skymap_1_1healpix_sky_map_1_1_healpix_sky_map.html</anchorfile>
      <anchor>a3ef79b4ce6098f67dcdcfab78c253730</anchor>
      <arglist>(self, sha1)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>HealpixSkyMapConfig</type>
      <name>ConfigClass</name>
      <anchorfile>classlsst_1_1skymap_1_1healpix_sky_map_1_1_healpix_sky_map.html</anchorfile>
      <anchor>aaafb65bf268cdb6db212fe6920d010bb</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>int</type>
      <name>numAngles</name>
      <anchorfile>classlsst_1_1skymap_1_1healpix_sky_map_1_1_healpix_sky_map.html</anchorfile>
      <anchor>a37331d5ef57bbfd64ff7039667ed5e30</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type></type>
      <name>_nside</name>
      <anchorfile>classlsst_1_1skymap_1_1healpix_sky_map_1_1_healpix_sky_map.html</anchorfile>
      <anchor>a2a6ac53a840e38e4b9326f5020c95382</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>tuple</type>
      <name>_version</name>
      <anchorfile>classlsst_1_1skymap_1_1healpix_sky_map_1_1_healpix_sky_map.html</anchorfile>
      <anchor>ada721e444ac26b41f94c5e0f34885541</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::skymap::healpixSkyMap::HealpixSkyMapConfig</name>
    <filename>classlsst_1_1skymap_1_1healpix_sky_map_1_1_healpix_sky_map_config.html</filename>
    <member kind="function">
      <type>def</type>
      <name>setDefaults</name>
      <anchorfile>classlsst_1_1skymap_1_1healpix_sky_map_1_1_healpix_sky_map_config.html</anchorfile>
      <anchor>a33c7a98c8772807c6d32f9ea2bf0e915</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>rotation</name>
      <anchorfile>classlsst_1_1skymap_1_1healpix_sky_map_1_1_healpix_sky_map_config.html</anchorfile>
      <anchor>ac7fe139f046a8b13b082a90d24b0975e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>Field</type>
      <name>log2NSide</name>
      <anchorfile>classlsst_1_1skymap_1_1healpix_sky_map_1_1_healpix_sky_map_config.html</anchorfile>
      <anchor>a1e0f03cf256b1e933efaf2545a336ef6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>Field</type>
      <name>nest</name>
      <anchorfile>classlsst_1_1skymap_1_1healpix_sky_map_1_1_healpix_sky_map_config.html</anchorfile>
      <anchor>a9e86184aeff88656661d831d73870707</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::skymap::healpixSkyMap::HealpixTractInfo</name>
    <filename>classlsst_1_1skymap_1_1healpix_sky_map_1_1_healpix_tract_info.html</filename>
    <base>lsst::skymap::tractInfo::TractInfo</base>
    <member kind="function">
      <type>def</type>
      <name>__init__</name>
      <anchorfile>classlsst_1_1skymap_1_1healpix_sky_map_1_1_healpix_tract_info.html</anchorfile>
      <anchor>a928a04bea24d8e068c442b0047396f79</anchor>
      <arglist>(self, nSide, ident, nest, tractBuilder, ctrCoord, tractOverlap, wcs)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::skymap::packers::SkyMapDimensionPacker</name>
    <filename>classlsst_1_1skymap_1_1packers_1_1_sky_map_dimension_packer.html</filename>
    <member kind="function">
      <type>def</type>
      <name>getIntFromFilter</name>
      <anchorfile>classlsst_1_1skymap_1_1packers_1_1_sky_map_dimension_packer.html</anchorfile>
      <anchor>ad62e671e2f9ab9a967eb56ce43a59c1d</anchor>
      <arglist>(cls, name)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getFilterNameFromInt</name>
      <anchorfile>classlsst_1_1skymap_1_1packers_1_1_sky_map_dimension_packer.html</anchorfile>
      <anchor>a054839df009f6f7a135607a41faf8cae</anchor>
      <arglist>(cls, num)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getMaxIntForFilters</name>
      <anchorfile>classlsst_1_1skymap_1_1packers_1_1_sky_map_dimension_packer.html</anchorfile>
      <anchor>a5e9d766675594f756fcc4335f62f792a</anchor>
      <arglist>(cls)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>configure</name>
      <anchorfile>classlsst_1_1skymap_1_1packers_1_1_sky_map_dimension_packer.html</anchorfile>
      <anchor>adc3705bba001e2cc4d062ff4599b70ad</anchor>
      <arglist>(cls, dimensions)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>__init__</name>
      <anchorfile>classlsst_1_1skymap_1_1packers_1_1_sky_map_dimension_packer.html</anchorfile>
      <anchor>a32b9c69b05a7605e2d0d7f76c6b21693</anchor>
      <arglist>(self, DataCoordinate fixed, DimensionGraph dimensions)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>maxBits</name>
      <anchorfile>classlsst_1_1skymap_1_1packers_1_1_sky_map_dimension_packer.html</anchorfile>
      <anchor>a389223018ddc26aec46eb91fa049b8d6</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>DataCoordinate</type>
      <name>unpack</name>
      <anchorfile>classlsst_1_1skymap_1_1packers_1_1_sky_map_dimension_packer.html</anchorfile>
      <anchor>adf3f6085f43d38426e9469d2576d894e</anchor>
      <arglist>(self, int packedId)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>tuple</type>
      <name>SUPPORTED_FILTERS</name>
      <anchorfile>classlsst_1_1skymap_1_1packers_1_1_sky_map_dimension_packer.html</anchorfile>
      <anchor>a2a825908e8fe454d3d3fdea263e43af8</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>_pack</name>
      <anchorfile>classlsst_1_1skymap_1_1packers_1_1_sky_map_dimension_packer.html</anchorfile>
      <anchor>aba38aa87de6718937777335630b4386e</anchor>
      <arglist>(self, DataCoordinate dataId)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type></type>
      <name>_skyMapName</name>
      <anchorfile>classlsst_1_1skymap_1_1packers_1_1_sky_map_dimension_packer.html</anchorfile>
      <anchor>a8185f6e02d2a78712065c7f039a9252f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type></type>
      <name>_patchMax</name>
      <anchorfile>classlsst_1_1skymap_1_1packers_1_1_sky_map_dimension_packer.html</anchorfile>
      <anchor>a199fb9de0e1f9f808498c53008563616</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type></type>
      <name>_tractPatchMax</name>
      <anchorfile>classlsst_1_1skymap_1_1packers_1_1_sky_map_dimension_packer.html</anchorfile>
      <anchor>aa807c3d48e1cc4009b1b4db126707e48</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type></type>
      <name>_filterMax</name>
      <anchorfile>classlsst_1_1skymap_1_1packers_1_1_sky_map_dimension_packer.html</anchorfile>
      <anchor>a741f09601eb5a4bcee111fcd1c76ac6d</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::skymap::patchInfo::PatchInfo</name>
    <filename>classlsst_1_1skymap_1_1patch_info_1_1_patch_info.html</filename>
    <member kind="function">
      <type>def</type>
      <name>__init__</name>
      <anchorfile>classlsst_1_1skymap_1_1patch_info_1_1_patch_info.html</anchorfile>
      <anchor>a2f460da65817f3130a46c87e529db52a</anchor>
      <arglist>(self, index, innerBBox, outerBBox, sequentialIndex, tractWcs, cellInnerDimensions=(0, 0), cellBorder=0, numCellsPerPatchInner=0, numCellsInPatchBorder=0)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getIndex</name>
      <anchorfile>classlsst_1_1skymap_1_1patch_info_1_1_patch_info.html</anchorfile>
      <anchor>a9c1e17f99de447f7d70ad8de4fda0114</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getSequentialIndex</name>
      <anchorfile>classlsst_1_1skymap_1_1patch_info_1_1_patch_info.html</anchorfile>
      <anchor>ae78c6142e2bb978605257570d6ea3e51</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getWcs</name>
      <anchorfile>classlsst_1_1skymap_1_1patch_info_1_1_patch_info.html</anchorfile>
      <anchor>adb59f9ca988dc1232a3dd4a9a6b29927</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getInnerBBox</name>
      <anchorfile>classlsst_1_1skymap_1_1patch_info_1_1_patch_info.html</anchorfile>
      <anchor>a354d2b773e6296437ccf8df75803a627</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getOuterBBox</name>
      <anchorfile>classlsst_1_1skymap_1_1patch_info_1_1_patch_info.html</anchorfile>
      <anchor>a00a608d401e3e7b616665d51fd80c8fa</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getInnerSkyPolygon</name>
      <anchorfile>classlsst_1_1skymap_1_1patch_info_1_1_patch_info.html</anchorfile>
      <anchor>ad5ba71e72a804457aec227a3b7b17dc0</anchor>
      <arglist>(self, tractWcs=None)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>inner_sky_polygon</name>
      <anchorfile>classlsst_1_1skymap_1_1patch_info_1_1_patch_info.html</anchorfile>
      <anchor>aca1705671b79ed96325ef33601db815e</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getOuterSkyPolygon</name>
      <anchorfile>classlsst_1_1skymap_1_1patch_info_1_1_patch_info.html</anchorfile>
      <anchor>a0439f31c4ec44049f2964946fbbdc454</anchor>
      <arglist>(self, tractWcs=None)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>outer_sky_polygon</name>
      <anchorfile>classlsst_1_1skymap_1_1patch_info_1_1_patch_info.html</anchorfile>
      <anchor>a33d69babc59cb747577a72949ef72d38</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getNumCells</name>
      <anchorfile>classlsst_1_1skymap_1_1patch_info_1_1_patch_info.html</anchorfile>
      <anchor>a3c27a036911ea8038bae2651aa9571c6</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getCellBorder</name>
      <anchorfile>classlsst_1_1skymap_1_1patch_info_1_1_patch_info.html</anchorfile>
      <anchor>a71fdbb1ac308086affdebe8bae1161d1</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getCellInfo</name>
      <anchorfile>classlsst_1_1skymap_1_1patch_info_1_1_patch_info.html</anchorfile>
      <anchor>a15c90dd1388016dfe08fbabddf421446</anchor>
      <arglist>(self, index)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getCellInnerDimensions</name>
      <anchorfile>classlsst_1_1skymap_1_1patch_info_1_1_patch_info.html</anchorfile>
      <anchor>a05b32819ed6e11b1c151d9af4cbc88a1</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getSequentialCellIndex</name>
      <anchorfile>classlsst_1_1skymap_1_1patch_info_1_1_patch_info.html</anchorfile>
      <anchor>a4136deb16c7ad288ae8b77010726afa2</anchor>
      <arglist>(self, cellInfo)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getSequentialCellIndexFromPair</name>
      <anchorfile>classlsst_1_1skymap_1_1patch_info_1_1_patch_info.html</anchorfile>
      <anchor>a86c349c13aa54291c188e7d00156cb6b</anchor>
      <arglist>(self, index)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getCellIndexPair</name>
      <anchorfile>classlsst_1_1skymap_1_1patch_info_1_1_patch_info.html</anchorfile>
      <anchor>a5666b2c35e5a52ad44f7a5296a04ea29</anchor>
      <arglist>(self, sequentialIndex)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>__iter__</name>
      <anchorfile>classlsst_1_1skymap_1_1patch_info_1_1_patch_info.html</anchorfile>
      <anchor>ac3bb9e8cff1a2c1fc436cc1d1bddbadc</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>__len__</name>
      <anchorfile>classlsst_1_1skymap_1_1patch_info_1_1_patch_info.html</anchorfile>
      <anchor>a9735574fc8f73765200ed84137632ad6</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>__getitem__</name>
      <anchorfile>classlsst_1_1skymap_1_1patch_info_1_1_patch_info.html</anchorfile>
      <anchor>af0a2a22957d6450a3f81f69d408cf225</anchor>
      <arglist>(self, index)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>__eq__</name>
      <anchorfile>classlsst_1_1skymap_1_1patch_info_1_1_patch_info.html</anchorfile>
      <anchor>a94664ba01ccf7eac63b5e945ccb35535</anchor>
      <arglist>(self, rhs)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>__ne__</name>
      <anchorfile>classlsst_1_1skymap_1_1patch_info_1_1_patch_info.html</anchorfile>
      <anchor>a9b892dd03af597d65d84e1cf4e9c5019</anchor>
      <arglist>(self, rhs)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>__str__</name>
      <anchorfile>classlsst_1_1skymap_1_1patch_info_1_1_patch_info.html</anchorfile>
      <anchor>a754a84d18d69d2cb0673bdda02f4a803</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>__repr__</name>
      <anchorfile>classlsst_1_1skymap_1_1patch_info_1_1_patch_info.html</anchorfile>
      <anchor>ab6c4cd904ae354a3b2aa34df13bee0a9</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type></type>
      <name>_index</name>
      <anchorfile>classlsst_1_1skymap_1_1patch_info_1_1_patch_info.html</anchorfile>
      <anchor>a77133ee8eea3d2c0febb2c078d634f9a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type></type>
      <name>_sequentialIndex</name>
      <anchorfile>classlsst_1_1skymap_1_1patch_info_1_1_patch_info.html</anchorfile>
      <anchor>a9f7fa09658032c5fbe447b5fd4771f32</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type></type>
      <name>_innerBBox</name>
      <anchorfile>classlsst_1_1skymap_1_1patch_info_1_1_patch_info.html</anchorfile>
      <anchor>abb3303abbc4678ceead9d29eb9dc63cd</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type></type>
      <name>_outerBBox</name>
      <anchorfile>classlsst_1_1skymap_1_1patch_info_1_1_patch_info.html</anchorfile>
      <anchor>abf1d5cb587e2badae2ac5ba280115483</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type></type>
      <name>_wcs</name>
      <anchorfile>classlsst_1_1skymap_1_1patch_info_1_1_patch_info.html</anchorfile>
      <anchor>aaf01f57eea304cae486526cdf111216b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type></type>
      <name>_cellInnerDimensions</name>
      <anchorfile>classlsst_1_1skymap_1_1patch_info_1_1_patch_info.html</anchorfile>
      <anchor>a21af0e2df5559ee2e7d4f151f5d81b9f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type></type>
      <name>_cellBorder</name>
      <anchorfile>classlsst_1_1skymap_1_1patch_info_1_1_patch_info.html</anchorfile>
      <anchor>a2d8d1602b2c438aba2b134f78f70e860</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type></type>
      <name>_numCellsInPatchBorder</name>
      <anchorfile>classlsst_1_1skymap_1_1patch_info_1_1_patch_info.html</anchorfile>
      <anchor>a171c7f8dd3fe736045a384908fb1caf9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type></type>
      <name>_numCells</name>
      <anchorfile>classlsst_1_1skymap_1_1patch_info_1_1_patch_info.html</anchorfile>
      <anchor>aa2da4f265ed1928950fe41aa720641d6</anchor>
      <arglist></arglist>
    </member>
    <member kind="property" static="yes">
      <type>property</type>
      <name>index</name>
      <anchorfile>classlsst_1_1skymap_1_1patch_info_1_1_patch_info.html</anchorfile>
      <anchor>a80ad3676efd0d975721013747664594e</anchor>
      <arglist></arglist>
    </member>
    <member kind="property" static="yes">
      <type>property</type>
      <name>sequential_index</name>
      <anchorfile>classlsst_1_1skymap_1_1patch_info_1_1_patch_info.html</anchorfile>
      <anchor>acf0581d808c7bac20f4e290758523b19</anchor>
      <arglist></arglist>
    </member>
    <member kind="property" static="yes">
      <type>property</type>
      <name>wcs</name>
      <anchorfile>classlsst_1_1skymap_1_1patch_info_1_1_patch_info.html</anchorfile>
      <anchor>a3abd4d4c996b612e7af02ec47736695b</anchor>
      <arglist></arglist>
    </member>
    <member kind="property" static="yes">
      <type>property</type>
      <name>inner_bbox</name>
      <anchorfile>classlsst_1_1skymap_1_1patch_info_1_1_patch_info.html</anchorfile>
      <anchor>af2a25bb1e8496187a69f232333d4617b</anchor>
      <arglist></arglist>
    </member>
    <member kind="property" static="yes">
      <type>property</type>
      <name>outer_bbox</name>
      <anchorfile>classlsst_1_1skymap_1_1patch_info_1_1_patch_info.html</anchorfile>
      <anchor>a6668969da0189843b97fa0ae71a90bd7</anchor>
      <arglist></arglist>
    </member>
    <member kind="property" static="yes">
      <type>property</type>
      <name>num_cells</name>
      <anchorfile>classlsst_1_1skymap_1_1patch_info_1_1_patch_info.html</anchorfile>
      <anchor>ad383d48ea3545f147ec3c0e65353b455</anchor>
      <arglist></arglist>
    </member>
    <member kind="property" static="yes">
      <type>property</type>
      <name>cell_border</name>
      <anchorfile>classlsst_1_1skymap_1_1patch_info_1_1_patch_info.html</anchorfile>
      <anchor>a1465fe189b24cfec75530d9e9c969589</anchor>
      <arglist></arglist>
    </member>
    <member kind="property" static="yes">
      <type>property</type>
      <name>cell_inner_dimensions</name>
      <anchorfile>classlsst_1_1skymap_1_1patch_info_1_1_patch_info.html</anchorfile>
      <anchor>a5a8f727476db325de8a9b78d891d320b</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::skymap::ringsSkyMap::RingsSkyMap</name>
    <filename>classlsst_1_1skymap_1_1rings_sky_map_1_1_rings_sky_map.html</filename>
    <base>lsst::skymap::cachingSkyMap::CachingSkyMap</base>
    <member kind="function">
      <type>def</type>
      <name>__init__</name>
      <anchorfile>classlsst_1_1skymap_1_1rings_sky_map_1_1_rings_sky_map.html</anchorfile>
      <anchor>a53a97610a2b3d3445f059251af45968c</anchor>
      <arglist>(self, config, version=1)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getRingIndices</name>
      <anchorfile>classlsst_1_1skymap_1_1rings_sky_map_1_1_rings_sky_map.html</anchorfile>
      <anchor>a20356237fe704f4c975659d888e34987</anchor>
      <arglist>(self, index)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>generateTract</name>
      <anchorfile>classlsst_1_1skymap_1_1rings_sky_map_1_1_rings_sky_map.html</anchorfile>
      <anchor>aea1931330ed408f5ac125802e39fd0ec</anchor>
      <arglist>(self, index)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>findTract</name>
      <anchorfile>classlsst_1_1skymap_1_1rings_sky_map_1_1_rings_sky_map.html</anchorfile>
      <anchor>aa7946928bbf75ee76f529e8125d477d3</anchor>
      <arglist>(self, coord)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>findTractIdArray</name>
      <anchorfile>classlsst_1_1skymap_1_1rings_sky_map_1_1_rings_sky_map.html</anchorfile>
      <anchor>a6a519f74b040cea348831f138d8ceb66</anchor>
      <arglist>(self, ra, dec, degrees=False)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>findAllTracts</name>
      <anchorfile>classlsst_1_1skymap_1_1rings_sky_map_1_1_rings_sky_map.html</anchorfile>
      <anchor>aecc158c082de943ac84535d7cf5c38a7</anchor>
      <arglist>(self, coord)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>findTractPatchList</name>
      <anchorfile>classlsst_1_1skymap_1_1rings_sky_map_1_1_rings_sky_map.html</anchorfile>
      <anchor>ad0b681ca0f1b470957f002c5b82ef659</anchor>
      <arglist>(self, coordList)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>updateSha1</name>
      <anchorfile>classlsst_1_1skymap_1_1rings_sky_map_1_1_rings_sky_map.html</anchorfile>
      <anchor>a72058e296a9204bfd7636d013098d86b</anchor>
      <arglist>(self, sha1)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>RingsSkyMapConfig</type>
      <name>ConfigClass</name>
      <anchorfile>classlsst_1_1skymap_1_1rings_sky_map_1_1_rings_sky_map.html</anchorfile>
      <anchor>a2c9b42c400b7fe6de6afa1e9b8f0905f</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_decToRingNum</name>
      <anchorfile>classlsst_1_1skymap_1_1rings_sky_map_1_1_rings_sky_map.html</anchorfile>
      <anchor>a458bb0821f471df17443fb15bde8c178</anchor>
      <arglist>(self, dec)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_raToTractNum</name>
      <anchorfile>classlsst_1_1skymap_1_1rings_sky_map_1_1_rings_sky_map.html</anchorfile>
      <anchor>a3913a99df54ffd7dee8dd833b92ce010</anchor>
      <arglist>(self, ra, ringNum)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type></type>
      <name>_ringSize</name>
      <anchorfile>classlsst_1_1skymap_1_1rings_sky_map_1_1_rings_sky_map.html</anchorfile>
      <anchor>a0bd8b73d76c2222264ba4370c22299a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type></type>
      <name>_ringNums</name>
      <anchorfile>classlsst_1_1skymap_1_1rings_sky_map_1_1_rings_sky_map.html</anchorfile>
      <anchor>ab5d374fdfced8dfebc56a35e6261d0b2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type></type>
      <name>_raStart</name>
      <anchorfile>classlsst_1_1skymap_1_1rings_sky_map_1_1_rings_sky_map.html</anchorfile>
      <anchor>a5dc83c0b7533ba0454d708f6041ca5fb</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type></type>
      <name>_version</name>
      <anchorfile>classlsst_1_1skymap_1_1rings_sky_map_1_1_rings_sky_map.html</anchorfile>
      <anchor>a7ef7d1066bc1d9c4eab69b28da98a074</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>tuple</type>
      <name>_version</name>
      <anchorfile>classlsst_1_1skymap_1_1rings_sky_map_1_1_rings_sky_map.html</anchorfile>
      <anchor>a8f85fd73e8e4cbc90da1ae2db62e9010</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::skymap::ringsSkyMap::RingsSkyMapConfig</name>
    <filename>classlsst_1_1skymap_1_1rings_sky_map_1_1_rings_sky_map_config.html</filename>
    <member kind="variable" static="yes">
      <type>Field</type>
      <name>numRings</name>
      <anchorfile>classlsst_1_1skymap_1_1rings_sky_map_1_1_rings_sky_map_config.html</anchorfile>
      <anchor>a0e52b63e04c20934b1449b7cf0ba29ff</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>Field</type>
      <name>raStart</name>
      <anchorfile>classlsst_1_1skymap_1_1rings_sky_map_1_1_rings_sky_map_config.html</anchorfile>
      <anchor>ad0ca8919ffda79a891918ccf3ebf6e2f</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::skymap::tractBuilder::BaseTractBuilder</name>
    <filename>classlsst_1_1skymap_1_1tract_builder_1_1_base_tract_builder.html</filename>
    <member kind="function">
      <type>def</type>
      <name>__init__</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_builder_1_1_base_tract_builder.html</anchorfile>
      <anchor>a69ebf0eb55c1240892c2756f46e1706d</anchor>
      <arglist>(self, config)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>setupPatches</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_builder_1_1_base_tract_builder.html</anchorfile>
      <anchor>a9859843a63e74d10d001dafaabcbb595</anchor>
      <arglist>(self, minBBox, wcs)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getPatchBorder</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_builder_1_1_base_tract_builder.html</anchorfile>
      <anchor>aa26e6ebfc5e7311685e6229fb74c892f</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getPatchInfo</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_builder_1_1_base_tract_builder.html</anchorfile>
      <anchor>a76411e9f6758b1fd824b20a33d2f656d</anchor>
      <arglist>(self, index, tractWcs)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getPatchInnerDimensions</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_builder_1_1_base_tract_builder.html</anchorfile>
      <anchor>a52f17c67f3af7152b7f7b07a44548367</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getSequentialPatchIndex</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_builder_1_1_base_tract_builder.html</anchorfile>
      <anchor>ab3bdf3ab03fed2a92c3e9c3858ce5865</anchor>
      <arglist>(self, patchInfo)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getSequentialPatchIndexFromPair</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_builder_1_1_base_tract_builder.html</anchorfile>
      <anchor>a2a516f7b28978dc6ea8442ea9d991f18</anchor>
      <arglist>(self, index)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getPatchIndexPair</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_builder_1_1_base_tract_builder.html</anchorfile>
      <anchor>a3578b406e0bccca09a9b3e631b2336f3</anchor>
      <arglist>(self, sequentialIndex)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getPackedConfig</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_builder_1_1_base_tract_builder.html</anchorfile>
      <anchor>a56843e403735843fb546d2361960fa23</anchor>
      <arglist>(self, config)</arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>config</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_builder_1_1_base_tract_builder.html</anchorfile>
      <anchor>aa02ada8bfb3398f4295278592e093571</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type></type>
      <name>_numPatches</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_builder_1_1_base_tract_builder.html</anchorfile>
      <anchor>ab7a39317393683c83cb07496c9d55917</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type></type>
      <name>_tractBBox</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_builder_1_1_base_tract_builder.html</anchorfile>
      <anchor>a8ce7028540f82ede56601d7cc4e49bb4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type></type>
      <name>_initialized</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_builder_1_1_base_tract_builder.html</anchorfile>
      <anchor>ac897b7fb93a01d19bdf4bfa3c64ba8f5</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::skymap::tractBuilder::BaseTractBuilderConfig</name>
    <filename>classlsst_1_1skymap_1_1tract_builder_1_1_base_tract_builder_config.html</filename>
  </compound>
  <compound kind="class">
    <name>lsst::skymap::tractBuilder::CellTractBuilder</name>
    <filename>classlsst_1_1skymap_1_1tract_builder_1_1_cell_tract_builder.html</filename>
    <base>lsst::skymap::tractBuilder::BaseTractBuilder</base>
    <member kind="function">
      <type>def</type>
      <name>__init__</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_builder_1_1_cell_tract_builder.html</anchorfile>
      <anchor>a1fd54f51dfc202a3ebcaa13d6d07bec2</anchor>
      <arglist>(self, config)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getPatchInfo</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_builder_1_1_cell_tract_builder.html</anchorfile>
      <anchor>ab7296873c47b900872ee903f28c9dcdc</anchor>
      <arglist>(self, index, tractWcs)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getPackedConfig</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_builder_1_1_cell_tract_builder.html</anchorfile>
      <anchor>acdcda8d846161575b9bcdb854d20a858</anchor>
      <arglist>(self, config)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>CellTractBuilderConfig</type>
      <name>ConfigClass</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_builder_1_1_cell_tract_builder.html</anchorfile>
      <anchor>aa21dfd20717bf23043d3a32690ce9b93</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type></type>
      <name>_cellInnerDimensions</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_builder_1_1_cell_tract_builder.html</anchorfile>
      <anchor>a85d765fb0c2730a3ca77691fd77c537c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type></type>
      <name>_cellBorder</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_builder_1_1_cell_tract_builder.html</anchorfile>
      <anchor>a8d94a00f7a965dc7d66f998c457ecec6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type></type>
      <name>_numCellsPerPatchInner</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_builder_1_1_cell_tract_builder.html</anchorfile>
      <anchor>a955246edf27df593a7846be5dd26e043</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type></type>
      <name>_numCellsInPatchBorder</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_builder_1_1_cell_tract_builder.html</anchorfile>
      <anchor>a2bf3a135ec34aa12b4ccf1ffc5743d82</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type></type>
      <name>_patchInnerDimensions</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_builder_1_1_cell_tract_builder.html</anchorfile>
      <anchor>a8c91d423a95639794d9a6c1d92b7bdf3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type></type>
      <name>_patchBorder</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_builder_1_1_cell_tract_builder.html</anchorfile>
      <anchor>add365cd5ac578a434b7246a2b4ced376</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type></type>
      <name>_initialized</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_builder_1_1_cell_tract_builder.html</anchorfile>
      <anchor>acf3421bf536b154f0cb9b5f82f4bdd2e</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::skymap::tractBuilder::CellTractBuilderConfig</name>
    <filename>classlsst_1_1skymap_1_1tract_builder_1_1_cell_tract_builder_config.html</filename>
    <base>lsst::skymap::tractBuilder::BaseTractBuilderConfig</base>
    <member kind="function">
      <type>def</type>
      <name>validate</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_builder_1_1_cell_tract_builder_config.html</anchorfile>
      <anchor>a01042fb9b2acfd367fc9f66985f96c1e</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>cellInnerDimensions</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_builder_1_1_cell_tract_builder_config.html</anchorfile>
      <anchor>aee601923ea66dce7304878fa70cb4b48</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>cellBorder</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_builder_1_1_cell_tract_builder_config.html</anchorfile>
      <anchor>a0f1f1a041aae1ce67ea98b33416e5602</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>numCellsPerPatchInner</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_builder_1_1_cell_tract_builder_config.html</anchorfile>
      <anchor>a82962dd3c36d34f7ec58f8c9d4026a12</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>numCellsInPatchBorder</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_builder_1_1_cell_tract_builder_config.html</anchorfile>
      <anchor>a6f743942345c0ece67bba1a8f1d39008</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::skymap::tractBuilder::LegacyTractBuilder</name>
    <filename>classlsst_1_1skymap_1_1tract_builder_1_1_legacy_tract_builder.html</filename>
    <base>lsst::skymap::tractBuilder::BaseTractBuilder</base>
    <member kind="function">
      <type>def</type>
      <name>__init__</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_builder_1_1_legacy_tract_builder.html</anchorfile>
      <anchor>a292de710e47d59f51dc849037e74b2b6</anchor>
      <arglist>(self, config)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getPatchInfo</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_builder_1_1_legacy_tract_builder.html</anchorfile>
      <anchor>a3955f746b7120a25e29d0e0e1c818d6b</anchor>
      <arglist>(self, index, tractWcs)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getPackedConfig</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_builder_1_1_legacy_tract_builder.html</anchorfile>
      <anchor>a5705ed6e45f6a57841dae00b457f2c12</anchor>
      <arglist>(self, config)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>LegacyTractBuilderConfig</type>
      <name>ConfigClass</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_builder_1_1_legacy_tract_builder.html</anchorfile>
      <anchor>ad73d2cb3902b21a0722eef6e382ee7f3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type></type>
      <name>_patchInnerDimensions</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_builder_1_1_legacy_tract_builder.html</anchorfile>
      <anchor>a8358199f8f6856b68ed510270f937187</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type></type>
      <name>_patchBorder</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_builder_1_1_legacy_tract_builder.html</anchorfile>
      <anchor>aebdb1c30fb051adfe5b8dec537513a1f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type></type>
      <name>_initialized</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_builder_1_1_legacy_tract_builder.html</anchorfile>
      <anchor>a2d94e75e0501077ca146a1958feb8db6</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::skymap::tractBuilder::LegacyTractBuilderConfig</name>
    <filename>classlsst_1_1skymap_1_1tract_builder_1_1_legacy_tract_builder_config.html</filename>
    <base>lsst::skymap::tractBuilder::BaseTractBuilderConfig</base>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>patchInnerDimensions</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_builder_1_1_legacy_tract_builder_config.html</anchorfile>
      <anchor>a39183c6f3ecba869c80542a2e3760872</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>patchBorder</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_builder_1_1_legacy_tract_builder_config.html</anchorfile>
      <anchor>a775f82e079ffddea28e617300df50648</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::skymap::tractInfo::ExplicitTractInfo</name>
    <filename>classlsst_1_1skymap_1_1tract_info_1_1_explicit_tract_info.html</filename>
    <base>lsst::skymap::tractInfo::TractInfo</base>
    <member kind="function">
      <type>def</type>
      <name>__init__</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_info_1_1_explicit_tract_info.html</anchorfile>
      <anchor>afe337760cb51a77b255620efd0737189</anchor>
      <arglist>(self, id, tractBuilder, ctrCoord, radius, tractOverlap, wcs)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_minimumBoundingBox</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_info_1_1_explicit_tract_info.html</anchorfile>
      <anchor>ae8e865d588d14142aad15a1e03f9ba94</anchor>
      <arglist>(self, wcs)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type></type>
      <name>_radius</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_info_1_1_explicit_tract_info.html</anchorfile>
      <anchor>a6da145ff47f1a5759fa92db00d7d66da</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type></type>
      <name>_vertexCoordList</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_info_1_1_explicit_tract_info.html</anchorfile>
      <anchor>ac899bfccd1fe7ce34585da20fb86bdb4</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::skymap::tractInfo::TractInfo</name>
    <filename>classlsst_1_1skymap_1_1tract_info_1_1_tract_info.html</filename>
    <member kind="function">
      <type>def</type>
      <name>__init__</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_info_1_1_tract_info.html</anchorfile>
      <anchor>a711ce462d5f6e3f1d0188ebeaef46be6</anchor>
      <arglist>(self, id, tractBuilder, ctrCoord, vertexCoordList, tractOverlap, wcs)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getSequentialPatchIndex</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_info_1_1_tract_info.html</anchorfile>
      <anchor>a0b94ad99600c4ffcf581dacace934fab</anchor>
      <arglist>(self, patchInfo)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getSequentialPatchIndexFromPair</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_info_1_1_tract_info.html</anchorfile>
      <anchor>a78e640b29ee13388739208f136fb03bd</anchor>
      <arglist>(self, index)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getPatchIndexPair</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_info_1_1_tract_info.html</anchorfile>
      <anchor>aa50496bbac4f399915cfe3ad08c5b453</anchor>
      <arglist>(self, sequentialIndex)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>findPatch</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_info_1_1_tract_info.html</anchorfile>
      <anchor>af4112c54fbf15d76ec23b902959d7a17</anchor>
      <arglist>(self, coord)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>findPatchList</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_info_1_1_tract_info.html</anchorfile>
      <anchor>a1349862bf7c836eb1f76784a36fcf7c2</anchor>
      <arglist>(self, coordList)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getBBox</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_info_1_1_tract_info.html</anchorfile>
      <anchor>abfe523e47e391f1892d9126b4b88cecc</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getCtrCoord</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_info_1_1_tract_info.html</anchorfile>
      <anchor>a9a6ec5e3802e89bfc09d49a27addc17f</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getId</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_info_1_1_tract_info.html</anchorfile>
      <anchor>a413a2fd4adad50a1bb4414b46280c393</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getNumPatches</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_info_1_1_tract_info.html</anchorfile>
      <anchor>aca6552ab5d0530d2837c3b3df90eedf2</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getPatchBorder</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_info_1_1_tract_info.html</anchorfile>
      <anchor>a6fd4c4e9d60964af5f83c38f7e644140</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getPatchInfo</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_info_1_1_tract_info.html</anchorfile>
      <anchor>a3575318100540b588f7ed3c742cd9003</anchor>
      <arglist>(self, index)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getPatchInnerDimensions</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_info_1_1_tract_info.html</anchorfile>
      <anchor>aaa85c3bd83081e38508e02e200596444</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getTractOverlap</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_info_1_1_tract_info.html</anchorfile>
      <anchor>a037f56d0c37d47c297e25555ee1156eb</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getVertexList</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_info_1_1_tract_info.html</anchorfile>
      <anchor>ab25c44cb735983506a603a2eae70413c</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getInnerSkyPolygon</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_info_1_1_tract_info.html</anchorfile>
      <anchor>a766d53f9a5602a2ede613983f4a12dfc</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getOuterSkyPolygon</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_info_1_1_tract_info.html</anchorfile>
      <anchor>ad5d891716a8da4f5d66a4be58fa94e5e</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getWcs</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_info_1_1_tract_info.html</anchorfile>
      <anchor>a8692370d951b592c303603c5828c622a</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>__str__</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_info_1_1_tract_info.html</anchorfile>
      <anchor>a52e5af07e0df60aab88048166523aba5</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>__repr__</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_info_1_1_tract_info.html</anchorfile>
      <anchor>aff95e4ee9b743eb2f1799b8fe38b8524</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>__iter__</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_info_1_1_tract_info.html</anchorfile>
      <anchor>abdc1f17e5b0627931cc4c9b95fc502da</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>__len__</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_info_1_1_tract_info.html</anchorfile>
      <anchor>ad8e32bb59a7e4bac444c2d9e2d467995</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>__getitem__</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_info_1_1_tract_info.html</anchorfile>
      <anchor>a7037180c3fbf9a905df88eb69a7871f5</anchor>
      <arglist>(self, index)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>contains</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_info_1_1_tract_info.html</anchorfile>
      <anchor>a96d99587362026a5724ba2026bf68c7c</anchor>
      <arglist>(self, coord)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_minimumBoundingBox</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_info_1_1_tract_info.html</anchorfile>
      <anchor>af72bca196011f76e04e78337e0dc177b</anchor>
      <arglist>(self, wcs)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_finalOrientation</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_info_1_1_tract_info.html</anchorfile>
      <anchor>a0ae2d1784904870d9823f98cb7fee782</anchor>
      <arglist>(self, bbox, wcs)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type></type>
      <name>_id</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_info_1_1_tract_info.html</anchorfile>
      <anchor>aa12fe4b23c4699eaf31994599ab26ffa</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type></type>
      <name>_ctrCoord</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_info_1_1_tract_info.html</anchorfile>
      <anchor>a2117e5ce7a970a10d7236a243082cb97</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type></type>
      <name>_vertexCoordList</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_info_1_1_tract_info.html</anchorfile>
      <anchor>a3bff9cb7f5bf0717f15bed5e2fa22b0c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type></type>
      <name>_tractOverlap</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_info_1_1_tract_info.html</anchorfile>
      <anchor>a71431b16d280d2561931e471c96bb73f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type></type>
      <name>_tractBuilder</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_info_1_1_tract_info.html</anchorfile>
      <anchor>a13b3306cf1800d63c25cdadf10656765</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type></type>
      <name>_numPatches</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_info_1_1_tract_info.html</anchorfile>
      <anchor>af16b60083541ef8af221f36e3a5fdeaa</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type></type>
      <name>_wcs</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_info_1_1_tract_info.html</anchorfile>
      <anchor>a0b2a9268491cba842ca4f52152a277ce</anchor>
      <arglist></arglist>
    </member>
    <member kind="property" static="yes">
      <type>property</type>
      <name>bbox</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_info_1_1_tract_info.html</anchorfile>
      <anchor>ae58193ec7239b850dadaa8239fbdda7a</anchor>
      <arglist></arglist>
    </member>
    <member kind="property" static="yes">
      <type>property</type>
      <name>ctr_coord</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_info_1_1_tract_info.html</anchorfile>
      <anchor>a0cf93f4a4e7ee69017675f518707d137</anchor>
      <arglist></arglist>
    </member>
    <member kind="property" static="yes">
      <type>property</type>
      <name>tract_id</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_info_1_1_tract_info.html</anchorfile>
      <anchor>a376e5f836335f10414c6543e629ac7c9</anchor>
      <arglist></arglist>
    </member>
    <member kind="property" static="yes">
      <type>property</type>
      <name>num_patches</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_info_1_1_tract_info.html</anchorfile>
      <anchor>ab3edeb09a3faa3ec24c48cd962aabf29</anchor>
      <arglist></arglist>
    </member>
    <member kind="property" static="yes">
      <type>property</type>
      <name>patch_border</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_info_1_1_tract_info.html</anchorfile>
      <anchor>aa1b6d1a0bc1d040b55e6f78fba1f0c2e</anchor>
      <arglist></arglist>
    </member>
    <member kind="property" static="yes">
      <type>property</type>
      <name>patch_inner_dimensions</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_info_1_1_tract_info.html</anchorfile>
      <anchor>ae01b247499834cd715e04a88e171a1b7</anchor>
      <arglist></arglist>
    </member>
    <member kind="property" static="yes">
      <type>property</type>
      <name>tract_overlap</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_info_1_1_tract_info.html</anchorfile>
      <anchor>abe77331b73eb3bf6bf20626c3b6880cc</anchor>
      <arglist></arglist>
    </member>
    <member kind="property" static="yes">
      <type>property</type>
      <name>vertex_list</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_info_1_1_tract_info.html</anchorfile>
      <anchor>abde4d5308317c52597b894f75cd41462</anchor>
      <arglist></arglist>
    </member>
    <member kind="property" static="yes">
      <type>property</type>
      <name>inner_sky_polygon</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_info_1_1_tract_info.html</anchorfile>
      <anchor>a457d4261e8df3fca516725476c74e2eb</anchor>
      <arglist></arglist>
    </member>
    <member kind="property" static="yes">
      <type>property</type>
      <name>outer_sky_polygon</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_info_1_1_tract_info.html</anchorfile>
      <anchor>a3df67ebf4e1bea420f42bc08337f2615</anchor>
      <arglist></arglist>
    </member>
    <member kind="property" static="yes">
      <type>property</type>
      <name>wcs</name>
      <anchorfile>classlsst_1_1skymap_1_1tract_info_1_1_tract_info.html</anchorfile>
      <anchor>a88b80582c64371a8591326f36667aaf6</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>lsst::skymap</name>
    <filename>namespacelsst_1_1skymap.html</filename>
    <namespace>lsst::skymap::baseSkyMap</namespace>
    <namespace>lsst::skymap::cachingSkyMap</namespace>
    <namespace>lsst::skymap::cellInfo</namespace>
    <namespace>lsst::skymap::detail</namespace>
    <namespace>lsst::skymap::discreteSkyMap</namespace>
    <namespace>lsst::skymap::dodecaSkyMap</namespace>
    <namespace>lsst::skymap::equatSkyMap</namespace>
    <namespace>lsst::skymap::healpixSkyMap</namespace>
    <namespace>lsst::skymap::packers</namespace>
    <namespace>lsst::skymap::patchInfo</namespace>
    <namespace>lsst::skymap::ringsSkyMap</namespace>
    <namespace>lsst::skymap::skyMapRegistry</namespace>
    <namespace>lsst::skymap::tractBuilder</namespace>
    <namespace>lsst::skymap::tractInfo</namespace>
    <namespace>lsst::skymap::version</namespace>
  </compound>
  <compound kind="namespace">
    <name>lsst::skymap::baseSkyMap</name>
    <filename>namespacelsst_1_1skymap_1_1base_sky_map.html</filename>
    <class kind="class">lsst::skymap::baseSkyMap::BaseSkyMap</class>
    <class kind="class">lsst::skymap::baseSkyMap::BaseSkyMapConfig</class>
  </compound>
  <compound kind="namespace">
    <name>lsst::skymap::cachingSkyMap</name>
    <filename>namespacelsst_1_1skymap_1_1caching_sky_map.html</filename>
    <class kind="class">lsst::skymap::cachingSkyMap::CachingSkyMap</class>
  </compound>
  <compound kind="namespace">
    <name>lsst::skymap::cellInfo</name>
    <filename>namespacelsst_1_1skymap_1_1cell_info.html</filename>
    <class kind="class">lsst::skymap::cellInfo::CellInfo</class>
  </compound>
  <compound kind="namespace">
    <name>lsst::skymap::detail</name>
    <filename>namespacelsst_1_1skymap_1_1detail.html</filename>
    <namespace>lsst::skymap::detail::dodecahedron</namespace>
    <namespace>lsst::skymap::detail::utils</namespace>
    <namespace>lsst::skymap::detail::wcsFactory</namespace>
  </compound>
  <compound kind="namespace">
    <name>lsst::skymap::detail::dodecahedron</name>
    <filename>namespacelsst_1_1skymap_1_1detail_1_1dodecahedron.html</filename>
    <class kind="class">lsst::skymap::detail::dodecahedron::Dodecahedron</class>
    <member kind="function">
      <type>def</type>
      <name>computeRotationMatrix</name>
      <anchorfile>namespacelsst_1_1skymap_1_1detail_1_1dodecahedron.html</anchorfile>
      <anchor>a33023e735edbc5f7997560a4f0383beb</anchor>
      <arglist>(angle, axis)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_computeCoordTransform</name>
      <anchorfile>namespacelsst_1_1skymap_1_1detail_1_1dodecahedron.html</anchorfile>
      <anchor>a1895a794b009c2434b1e17150fe81f84</anchor>
      <arglist>(vec0, vec1, vec1NegativeX=False)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_computeDodecahedronVertices</name>
      <anchorfile>namespacelsst_1_1skymap_1_1detail_1_1dodecahedron.html</anchorfile>
      <anchor>a9ecc4817abb679423b5459815ab7c12a</anchor>
      <arglist>(faceVecList)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_computeFullVecList</name>
      <anchorfile>namespacelsst_1_1skymap_1_1detail_1_1dodecahedron.html</anchorfile>
      <anchor>a6676b7566fe9382f2c54dbc1489cb267</anchor>
      <arglist>(basisSet)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_findCloseIndexSet</name>
      <anchorfile>namespacelsst_1_1skymap_1_1detail_1_1dodecahedron.html</anchorfile>
      <anchor>a351d9765f7d82c8ea5824cac236d6bd4</anchor>
      <arglist>(vecList, ind)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_findCloseList</name>
      <anchorfile>namespacelsst_1_1skymap_1_1detail_1_1dodecahedron.html</anchorfile>
      <anchor>a364163ec30719714a1d5adea28d4dd9a</anchor>
      <arglist>(vecList, vec)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_findClosePair</name>
      <anchorfile>namespacelsst_1_1skymap_1_1detail_1_1dodecahedron.html</anchorfile>
      <anchor>ada5b2aa00d0dcec7a7958d25c2bc63ca</anchor>
      <arglist>(vecList, ind=0)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_sortedVectorList</name>
      <anchorfile>namespacelsst_1_1skymap_1_1detail_1_1dodecahedron.html</anchorfile>
      <anchor>affda4e24bd228ed8515c584f3f68b7e5</anchor>
      <arglist>(vecList)</arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>precision</name>
      <anchorfile>namespacelsst_1_1skymap_1_1detail_1_1dodecahedron.html</anchorfile>
      <anchor>af82b8ad353a6f0a84cbefbfee0845f24</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>suppress</name>
      <anchorfile>namespacelsst_1_1skymap_1_1detail_1_1dodecahedron.html</anchorfile>
      <anchor>a59ac8cccc0e8057f16ac6f0059e9194b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>True</name>
      <anchorfile>namespacelsst_1_1skymap_1_1detail_1_1dodecahedron.html</anchorfile>
      <anchor>a392e460a721702a2c64d04bc56c794f0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>linewidth</name>
      <anchorfile>namespacelsst_1_1skymap_1_1detail_1_1dodecahedron.html</anchorfile>
      <anchor>a7d297ff1509ee2216eeda33927ef4cb6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>Dodecahedron</type>
      <name>vertexDodec</name>
      <anchorfile>namespacelsst_1_1skymap_1_1detail_1_1dodecahedron.html</anchorfile>
      <anchor>a8953c1c38ed94c591c113bc68ee34640</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>Dodecahedron</type>
      <name>faceVec</name>
      <anchorfile>namespacelsst_1_1skymap_1_1detail_1_1dodecahedron.html</anchorfile>
      <anchor>a39247b0b14fc7a40890459416d8a8c8c</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>lsst::skymap::detail::utils</name>
    <filename>namespacelsst_1_1skymap_1_1detail_1_1utils.html</filename>
    <class kind="class">lsst::skymap::detail::utils::Index2D</class>
    <member kind="function">
      <type>def</type>
      <name>coordFromVec</name>
      <anchorfile>namespacelsst_1_1skymap_1_1detail_1_1utils.html</anchorfile>
      <anchor>a61b02162092ffbfa850b6a8329e4a808</anchor>
      <arglist>(vec, defRA=None)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>makeSkyPolygonFromBBox</name>
      <anchorfile>namespacelsst_1_1skymap_1_1detail_1_1utils.html</anchorfile>
      <anchor>a876ac5f2f9896d383f85090bb1be0461</anchor>
      <arglist>(bbox, wcs)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>numpy</type>
      <name>_TinyFloat</name>
      <anchorfile>namespacelsst_1_1skymap_1_1detail_1_1utils.html</anchorfile>
      <anchor>a432a5b9cb47ac41c12c4b3a8143bb8fc</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>lsst::skymap::detail::wcsFactory</name>
    <filename>namespacelsst_1_1skymap_1_1detail_1_1wcs_factory.html</filename>
    <class kind="class">lsst::skymap::detail::wcsFactory::WcsFactory</class>
  </compound>
  <compound kind="namespace">
    <name>lsst::skymap::discreteSkyMap</name>
    <filename>namespacelsst_1_1skymap_1_1discrete_sky_map.html</filename>
    <class kind="class">lsst::skymap::discreteSkyMap::DiscreteSkyMap</class>
    <class kind="class">lsst::skymap::discreteSkyMap::DiscreteSkyMapConfig</class>
  </compound>
  <compound kind="namespace">
    <name>lsst::skymap::dodecaSkyMap</name>
    <filename>namespacelsst_1_1skymap_1_1dodeca_sky_map.html</filename>
    <class kind="class">lsst::skymap::dodecaSkyMap::DodecaSkyMap</class>
    <class kind="class">lsst::skymap::dodecaSkyMap::DodecaSkyMapConfig</class>
  </compound>
  <compound kind="namespace">
    <name>lsst::skymap::equatSkyMap</name>
    <filename>namespacelsst_1_1skymap_1_1equat_sky_map.html</filename>
    <class kind="class">lsst::skymap::equatSkyMap::EquatSkyMap</class>
    <class kind="class">lsst::skymap::equatSkyMap::EquatSkyMapConfig</class>
  </compound>
  <compound kind="namespace">
    <name>lsst::skymap::healpixSkyMap</name>
    <filename>namespacelsst_1_1skymap_1_1healpix_sky_map.html</filename>
    <class kind="class">lsst::skymap::healpixSkyMap::HealpixSkyMap</class>
    <class kind="class">lsst::skymap::healpixSkyMap::HealpixSkyMapConfig</class>
    <class kind="class">lsst::skymap::healpixSkyMap::HealpixTractInfo</class>
    <member kind="function">
      <type>def</type>
      <name>angToCoord</name>
      <anchorfile>namespacelsst_1_1skymap_1_1healpix_sky_map.html</anchorfile>
      <anchor>a06682dfe074632c54f18bebd31db7cd2</anchor>
      <arglist>(thetaphi)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>coordToAng</name>
      <anchorfile>namespacelsst_1_1skymap_1_1healpix_sky_map.html</anchorfile>
      <anchor>a172928c0240906216c7feea8294747ec</anchor>
      <arglist>(coord)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>lsst::skymap::packers</name>
    <filename>namespacelsst_1_1skymap_1_1packers.html</filename>
    <class kind="class">lsst::skymap::packers::SkyMapDimensionPacker</class>
  </compound>
  <compound kind="namespace">
    <name>lsst::skymap::patchInfo</name>
    <filename>namespacelsst_1_1skymap_1_1patch_info.html</filename>
    <class kind="class">lsst::skymap::patchInfo::PatchInfo</class>
  </compound>
  <compound kind="namespace">
    <name>lsst::skymap::ringsSkyMap</name>
    <filename>namespacelsst_1_1skymap_1_1rings_sky_map.html</filename>
    <class kind="class">lsst::skymap::ringsSkyMap::RingsSkyMap</class>
    <class kind="class">lsst::skymap::ringsSkyMap::RingsSkyMapConfig</class>
  </compound>
  <compound kind="namespace">
    <name>lsst::skymap::skyMapRegistry</name>
    <filename>namespacelsst_1_1skymap_1_1sky_map_registry.html</filename>
    <member kind="variable">
      <type>makeRegistry</type>
      <name>skyMapRegistry</name>
      <anchorfile>namespacelsst_1_1skymap_1_1sky_map_registry.html</anchorfile>
      <anchor>a9b13f8da8a00000da69d36f147aab87a</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>lsst::skymap::tractBuilder</name>
    <filename>namespacelsst_1_1skymap_1_1tract_builder.html</filename>
    <class kind="class">lsst::skymap::tractBuilder::BaseTractBuilder</class>
    <class kind="class">lsst::skymap::tractBuilder::BaseTractBuilderConfig</class>
    <class kind="class">lsst::skymap::tractBuilder::CellTractBuilder</class>
    <class kind="class">lsst::skymap::tractBuilder::CellTractBuilderConfig</class>
    <class kind="class">lsst::skymap::tractBuilder::LegacyTractBuilder</class>
    <class kind="class">lsst::skymap::tractBuilder::LegacyTractBuilderConfig</class>
    <member kind="variable">
      <type>pexConfig</type>
      <name>tractBuilderRegistry</name>
      <anchorfile>namespacelsst_1_1skymap_1_1tract_builder.html</anchorfile>
      <anchor>a406cf7e3b5a7e6fa21408a5c46888a71</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>lsst::skymap::tractInfo</name>
    <filename>namespacelsst_1_1skymap_1_1tract_info.html</filename>
    <class kind="class">lsst::skymap::tractInfo::ExplicitTractInfo</class>
    <class kind="class">lsst::skymap::tractInfo::TractInfo</class>
  </compound>
  <compound kind="namespace">
    <name>lsst::skymap::version</name>
    <filename>namespacelsst_1_1skymap_1_1version.html</filename>
  </compound>
  <compound kind="namespace">
    <name>std</name>
    <filename>namespacestd.html</filename>
  </compound>
  <compound kind="page">
    <name>index</name>
    <title>lsst::skymap;  sky pixelization</title>
    <filename>index.html</filename>
    <docanchor file="index.html" title="Introduction">skyMap_introduction</docanchor>
  </compound>
</tagfile>
